# Created by pyp2rpm-3.3.1
%global pypi_name sphinxcontrib-spelling

%bcond_with docs

Name:           python-%{pypi_name}
Version:        8.0.0
Release:        %mkrel 3
Summary:        Sphinx spelling extension
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-spelling
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

BuildRequires:  git-core
BuildRequires:  hunspell-en
BuildRequires:  pkgconfig(enchant-2)

%description
Spelling checker for Sphinx-based documentation. It uses PyEnchant to produce
a report showing misspelled words.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Spelling checker for Sphinx-based documentation. It uses PyEnchant to produce
a report showing misspelled words.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD}/build sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%if %{with docs}
%doc html
%endif


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 8.0.0-3.mga10
+ Revision: 2241524
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 8.0.0-2.mga10
+ Revision: 2158749
- rebuild for python3.13

* Fri Dec 08 2023 wally <wally> 8.0.0-1.mga10
+ Revision: 2015608
- new version 8.0.0
- rebuild for py3.12
+ neoclust <neoclust>
- New version  7.3.3

* Tue Mar 29 2022 umeabot <umeabot> 7.3.2-3.mga9
+ Revision: 1832608
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 7.3.2-2.mga9
+ Revision: 1774768
- remove doc
- remove check
- update to python3.10
- update to python 3.10
+ wally <wally>
- new version 7.3.2
- rebuild for python3.10

* Wed Nov 11 2020 guillomovitch <guillomovitch> 7.1.0-1.mga9
+ Revision: 1644721
- new version 7.1.0

* Thu Apr 09 2020 kekepower <kekepower> 4.3.0-1.mga8
+ Revision: 1565708
- Update to version 4.3.0

* Sun Feb 16 2020 umeabot <umeabot> 4.2.1-4.mga8
+ Revision: 1533989
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 4.2.1-3.mga8
+ Revision: 1446579
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 4.2.1-2.mga8
+ Revision: 1427254
- drop python2 support
- fix descriptions

* Sun Apr 07 2019 kekepower <kekepower> 4.2.1-1.mga7
+ Revision: 1386626
- Update to version 4.2.1

* Mon Jan 07 2019 kekepower <kekepower> 4.2.0-1.mga7
+ Revision: 1351208
- Update to version 4.2.0

* Thu Sep 20 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1290220
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 kekepower <kekepower> 4.1.0-1.mga7
+ Revision: 1223119
- Update BRs and Requires
- BR python2-sphinx
- BR python-enchant
- imported package python-sphinxcontrib-spelling

